Package uk.ac.starlink.util

# Interface IORunnable

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface IORunnable
Runnable-like interface that allows an IOException to be thrown.

Since:
  29 Jan 2024
Author:
  Mark Taylor
See Also:
  - `Runnable`

## Method Summary

Modifier and Type
Method
Description
`void`
`run()`
Does something.

## Method Details

### run

void run() throws IOException
Does something.

Throws:
  `IOException`